diff a/test/jdk/tools/launcher/VersionCheck.java b/test/jdk/tools/launcher/VersionCheck.java
--- a/test/jdk/tools/launcher/VersionCheck.java
+++ b/test/jdk/tools/launcher/VersionCheck.java
@@ -42,10 +42,11 @@
 
 public class VersionCheck extends TestHelper {
 
     // tools that do not accept -J-option
     static final String[] BLACKLIST_JOPTION = {
+        "asprof",
         "controlpanel",
         "jabswitch",
         "java-rmi",
         "java-rmi.cgi",
         "java",
@@ -55,20 +56,22 @@
         "jaccesswalker",
         "jaccesswalker-32",
         "javaw",
         "javaws",
         "jcontrol",
+        "jfrconv",
         "jmc",
         "jmc.ini",
         "jweblauncher",
         "jpackage",
         "ssvagent",
         "jwebserver"
     };
 
     // tools that do not accept -version
     static final String[] BLACKLIST_VERSION = {
+        "asprof",
         "controlpanel",
         "jaccessinspector",
         "jaccessinspector-32",
         "jaccesswalker",
         "jaccesswalker-32",
@@ -83,10 +86,11 @@
         "jconsole",
         "jcontrol",
         "jdeprscan",
         "jdeps",
         "jfr",
+        "jfrconv",
         "jimage",
         "jinfo",
         "jlink",
         "jmap",
         "jmod",
